Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037449
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2017-12-11 15:552018-02-20 17:01
ReporterplujanView Statuspublic 
Assigned Toplujan 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision298caeee38de
ProjectionnoneETAnoneTarget Version3.0PR18Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037449: The list of supported/recommended browsers must be updated

DescriptionThe list of supported/recommended browsers must be updated.

The minimum recommended version is the current browser major version available once the release is launched in "QA Approved" status.

The minimum supported version is the previous browser major version once the release is launched in "QA Approved" status. This policy is the same followed by other web applications.

There could be some exceptions, but at the end what is pushed should match what is in the documentation

http://wiki.openbravo.com/wiki/System_Requirements [^]

You can get the latest versions from these documents:

https://en.wikipedia.org/wiki/Firefox [^]
https://en.wikipedia.org/wiki/Google_Chrome [^]
https://en.wikipedia.org/wiki/Internet_Explorer [^]
https://en.wikipedia.org/wiki/EdgeHTML [^]
https://en.wikipedia.org/wiki/Safari_%28web_browser%29 [^]
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0029414 closeddbaz The list of supported/recommended browsers must be updated 
related to defect 0037466 acknowledgedplatform 3rd level tabs in form don't get refreshed when selecting a different 1st level record 
related to defect 00379793.0PR18Q2 closedplujan The list of supported/recommended browsers must be updated 

-  Notes
(0100971)
hgbot (developer)
2017-12-11 17:12

Repository: erp/devel/pi
Changeset: 5242fde34bf2ad53061db52492d4c7d73117c841
Author: Pablo Lujan <pablo.lujan <at> openbravo.com>
Date: Mon Dec 11 17:12:23 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/5242fde34bf2ad53061db52492d4c7d73117c841 [^]

Fixes issue 37449 and related to issue 29414: Updated browser supported/recommended list for PR18Q1

* Chrome. Supported 61, Recommended 63 or higher.
* Firefox. Supported 45, Recommended 52 or higher.
* Internet Explorer. Supported 9, Recommended 11 or higher.
* EdgeHTML (MS Edge). Supported 12, Recommended 13 or higher.
* Safari. Supported 8, Recommended 9 or higher.

---
M src/org/openbravo/erpCommon/security/Login.html
---
(0101021)
hgbot (developer)
2017-12-13 19:26

Repository: erp/mods/org.openbravo.demo.loginpage
Changeset: 298caeee38de2fa4ea9967987f08508c629d7c13
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Dec 13 11:41:16 2017 +0530
URL: http://code.openbravo.com/erp/mods/org.openbravo.demo.loginpage/rev/298caeee38de2fa4ea9967987f08508c629d7c13 [^]

Fixes issue 37449: Updated browser supported/recommended list for PR18Q1
Update module version to 0.1.900, Update module dependency to PR17Q3.1

* Chrome. Supported 61, Recommended 63 or higher.
* Firefox. Supported 45, Recommended 52 or higher.
* Internet Explorer. Supported 9, Recommended 11 or higher.
* EdgeHTML (MS Edge). Supported 12, Recommended 13 or higher.
* Safari. Supported 8, Recommended 9 or higher.

---
M src-db/database/sourcedata/AD_MODULE.xml
M src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M src/org/openbravo/demo/loginpage/security/Login.html
---
(0101034)
dmiguelez (developer)
2017-12-14 10:11

Code Review + Testing Ok
(0101516)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-12-11 15:55 plujan New Issue
2017-12-11 15:55 plujan Assigned To => plujan
2017-12-11 15:55 plujan Modules => Core
2017-12-11 15:55 plujan Triggers an Emergency Pack => No
2017-12-11 15:55 plujan Issue generated from 0035535
2017-12-11 15:55 plujan Relationship added related to 0029414
2017-12-11 17:12 hgbot Checkin
2017-12-11 17:12 hgbot Note Added: 0100971
2017-12-11 17:12 hgbot Status new => resolved
2017-12-11 17:12 hgbot Resolution open => fixed
2017-12-11 17:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5242fde34bf2ad53061db52492d4c7d73117c841 [^]
2017-12-13 19:26 hgbot Checkin
2017-12-13 19:26 hgbot Note Added: 0101021
2017-12-13 19:26 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/5242fde34bf2ad53061db52492d4c7d73117c841 [^] => http://code.openbravo.com/erp/mods/org.openbravo.demo.loginpage/rev/298caeee38de2fa4ea9967987f08508c629d7c13 [^]
2017-12-14 09:36 alostale Relationship added related to 0037466
2017-12-14 10:11 dmiguelez Review Assigned To => dmiguelez
2017-12-14 10:11 dmiguelez Note Added: 0101034
2017-12-14 10:11 dmiguelez Status resolved => closed
2017-12-14 10:11 dmiguelez Fixed in Version => 3.0PR18Q1
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101516
2018-02-20 17:01 plujan Issue cloned 0037979
2018-02-20 17:01 plujan Relationship added related to 0037979


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker